Skip to content

Retrieve all available tasks across all workflows.

GET/api/{version}/objects/objectworkflows/tasks
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
object__v, record_id__vTo retrieve all workflow tasks configured on an object, include the Vault object name__v and object record id field values as object__v={name__v}&record_id__v={id}. These two parameters are required when the assignee__v parameter is not used.
assignee__vTo retrieve all workflow tasks available to a particular user, include the user id field value as assignee__v={id}. To retrieve your own workflow tasks, set this value to assignee__v=me(). This parameter is required when the object__v and record_id__v parameters are not used.
status__vTo retrieve all workflow tasks with specific statuses, include one or more status name__v field values. For example: status__v=available__v or status__v=available__v,completed__v.
offsetThis parameter is used to paginate the results. It specifies the amount of offset from the first record returned. Vault returns 200 records per page by default. If you are viewing the first 200 results (page 1) and want to see the next page, set this to offset=201.
page_sizeThis parameter is used to paginate the results. It specifies the size number of records to display per page. Vault returns 200 records per page by default. You can set this value lower or as high as 1000 records per page. For example: page_size=1000.
locWhen localized (translated) strings are available, retrieve them by including loc=true.
curl -L -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v23.1/objects/objectworkflows/tasks?assignee__v=674737
{ "responseStatus": "SUCCESS", "responseDetails": { "total": 2, "offset": 0, "page_size": 200, "object": { "name": "objectworkflow_tasks", "label": "Object Workflow Task", "url": "/api/v23.1/objects/objectworkflows/tasks?assignee__v=674737", "label_plural": "Object Workflow Tasks" } }, "data": [ { "id": 123101, "label__v": "Review", "status__v": [ "available__v" ], "object__v": "envelope__sys", "record_id__v": "0ER00000003G001", "instructions__v": "Review and either Approve or Reject each document", "created_date__v": "2021-05-31T21:31:29.000Z", "workflow__v": "23001" }, { "id": 123001, "label__v": "R&U WF Task New", "status__v": [ "assigned__v" ], "object__v": "envelope__sys", "record_id__v": "0ER00000003F001", "instructions__v": "Complete this new task", "assignee__v": "674737", "created_date__v": "2021-05-31T18:33:34.000Z", "assigned_date__v": "2021-05-31T18:33:34.000Z", "workflow__v": "22901", "workflow_class__sys": "read_and_understood__sys" } ] }

On SUCCESS, the response lists all workflow tasks matching the query parameters. Each task may include the following fields:

  • id - The task ID.
  • label__v - The task label as seen in the UI.
  • status__v - The current status of the task.
  • object__v - The name of the object using the task.
  • record_id__v - The ID of the object record using the task.
  • instructions__v - Instructions for completing the task.
  • assignee__v - The ID of the user assigned the task. This is the task owner.
  • created_date__v - The date and time when the task was created.
  • assigned_date__v - The date and time when the task was assigned.
  • due_date__v - The date and time when the task is due.
  • workflow__v - The workflow ID in which the task is configured.
  • workflow_class__sys - Included with a value of read_and_understood__sys if the task is a Read & Understood task.